%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier correspondant au TP d'Automatique N2 (licence pro)
% Commande d'un moteur  courant continu
%
% Un schma Simulink (fichier lp) utilise ces paramtres.
% Ce script permet d'intialiser les paramtres selon la
% simulation souhaite.
% Si l'on change des paramtres dans ce fichier, il faut xecuter
% le script avant de lancer la simulation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Initialisation des paramtres du moteur (cf. modle du cours)
K1=2;
f=1;
J=1;JJ=5;
R=1;RR=1.1;
L=0.1;LL=0.11;
K2=1;

% Construction du modle simple
Ns=K1; % numrateur de le fonction de transfert
Ds=[R*J f*R+K1*K2]; % dnominateur

% Construction du systme complet
N=Ns; % mme numrateur
D=[J*L R*J+J*L f*R+K1*K2];

% Construction du modle complet incertain
Ni=Ns; % mme numrateur
Di=[JJ*LL RR*JJ+JJ*LL K1*K2];

% Paramtres des correcteurs PID
% Ils sont initialiss au dbut et seront modifis par la suite.

% Valeurs de paramtres qui peuvent tre utiles pour la dtermination
% des PID
A=0; % Gain proportionnel de le forme parallle
T=0; % Cte du temps du modle simple
Td=0; % Cte de temps du facteur drivatif (forme parallle)

% POUR LE MODELE SIMPLE (dplacer les '%' de manire approprie selon
% la simulation souhaite)
Ps=1; % gain proportionnel de la forme parallle
%Ps=A*T; % dans le cas de la compensation de ple
Is=0; % Gain intgral (aucune intgration au dbut)
%Is=A; % dans le cas de la compensation de ple
Ds1=0; % Gain driv toujours nul

% POUR LE MODELE COMPLET (dplacer les '%' de manire approprie selon
% la simulation souhaite)
P=1; % gain proportionnel de la forme parallle
%P=A*T; % dans le cas de la compensation de ple
%P=A*(T+Td) % dans le cas du PID complet (P+I+D)
I=0; % Gain intgral (aucune intgration au dbut)
%I=A; % dans le cas de la compensation de ple ou du PID complet (P+I+D)
D1=0; % Gain driv (aucun au dbut)
%D1=A*T*Td; % dans le cas du PID complet (P+I+D)

% Dfinition des saturations
Vsat=500;  %Au dpart, on n'envisage pas de saturation (Vsat volontairement
% trs lv).

% Fonctions de transfert du rgulateur PI obtenu par compensation
% de ples.
% Facilite le trac des diagrammes de Bode de la chane directe
NPI=[A*T A];
DPI=[1 0];

